### Function

# AppStream ContentRatingSystem format_age

since: 0.12.12

#### Declaration [src]

    gchar*
    as_content_rating_system_format_age (
      AsContentRatingSystem system,
      guint age
    )

#### Description [src]

Format `age` as a human-readable string in the given rating `system`. This is the way to present system-specific strings in a UI.

Available since: 0.12.12

#### Parameters

`system`

  Type: `AsContentRatingSystem`

  An `AsContentRatingSystem`.

`age`

  Type: `guint`

  A CSM age to format.

#### Return value

Type: `gchar*`

A newly allocated formatted version of `age`, or `NULL` if the given `system` has no representation for `age`.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.